from multiprocessing.spawn import import_main_path
import unittest
from employee import Employee

class EmployeeTestCase(unittest.TestCase):
    """Test for Employee class"""

    def setUp(self):
        """
        Create a Employee class and a set of attributes for use in all test methods
        """
        self.employee = Employee('Jason', 'Zhu', 3000)

    def test_give_default_raise(self):
        """Test default raise"""
        self.employee.give_raise()
        self.assertEqual(3000+5000, self.employee.annual_salary)

    def test_give_custom_raise(self):
        """Test customized raise value"""
        self.employee.give_raise(3000)
        self.assertEqual(3000+3000, self.employee.annual_salary)

if __name__ == '__main__':
    unittest.main()